Last modified: 2012-08-12 10:28:44 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 16012 - Schema change rotation script (tracking)
Schema change rotation script (tracking)
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
General/Unknown (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Tim Starling
: tracking
Depends on: 11402 17237 3732 12701 14200 14418 15456 16645 17558 18276
Blocks: tracking 16660
  Show dependency treegraph
 
Reported: 2008-10-17 13:55 UTC by Roan Kattouw
Modified: 2012-08-12 10:28 UTC (History)
7 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Roan Kattouw 2008-10-17 13:55:55 UTC
From what Brion tells me, Tim has been working on a script that makes applying schema changes more painless. As a result, all proposed schema changes in the last 3 months or so are waiting for this script to be finished.
Comment 1 Brion Vibber 2008-12-16 19:15:23 UTC
Bumping... lots of operational stuff is waiting on this, it needs to get done.
Comment 2 Mark A. Hershberger 2011-03-01 00:38:31 UTC
lowering priority and seeing if anything has been done on this.
Comment 3 p858snake 2011-03-02 00:47:33 UTC
Fixing up the Blockers/Depends on for the tracking bug.
Comment 4 Mark A. Hershberger 2011-03-13 17:10:58 UTC
Brion set this to highest priority years ago, but nothing has happened (or has it...?)  Lowering to normal priority.
Comment 5 Tim Starling 2011-03-13 22:36:38 UTC
The 1.17 schema changes were pretty easy. I don't think there's a need for more software. There's no schema change that is waiting for a script to be written for it. Marking fixed since most of the work has been done.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links